| Kea 3.0.2-git

bootp_messages.cc File Reference
`#include <cstddef>`
`#include <log/message_types.h>`
`#include <log/message_initializer.h>`
Include dependency graph for bootp_messages.cc:

Go to the source code of this file.

## Variables
const isc::log::MessageID | BOOTP_BOOTP_QUERY = "BOOTP_BOOTP_QUERY"
const isc::log::MessageID | BOOTP_LOAD = "BOOTP_LOAD"
const isc::log::MessageID | BOOTP_PACKET_OPTIONS_SKIPPED = "BOOTP_PACKET_OPTIONS_SKIPPED"
const isc::log::MessageID | BOOTP_PACKET_PACK = "BOOTP_PACKET_PACK"
const isc::log::MessageID | BOOTP_PACKET_PACK_FAIL = "BOOTP_PACKET_PACK_FAIL"
const isc::log::MessageID | BOOTP_PACKET_UNPACK_FAILED = "BOOTP_PACKET_UNPACK_FAILED"
const isc::log::MessageID | BOOTP_UNLOAD = "BOOTP_UNLOAD"

## Variable Documentation

## ◆ BOOTP_BOOTP_QUERY

const isc::log::MessageID BOOTP_BOOTP_QUERY = "BOOTP_BOOTP_QUERY"
| extern

Referenced by buffer4_receive().

## ◆ BOOTP_LOAD

const isc::log::MessageID BOOTP_LOAD = "BOOTP_LOAD"
| extern

Referenced by load().

## ◆ BOOTP_PACKET_OPTIONS_SKIPPED

const isc::log::MessageID BOOTP_PACKET_OPTIONS_SKIPPED = "BOOTP_PACKET_OPTIONS_SKIPPED"
| extern

Referenced by buffer4_receive().

## ◆ BOOTP_PACKET_PACK

const isc::log::MessageID BOOTP_PACKET_PACK = "BOOTP_PACKET_PACK"
| extern

Referenced by pkt4_send().

## ◆ BOOTP_PACKET_PACK_FAIL

const isc::log::MessageID BOOTP_PACKET_PACK_FAIL = "BOOTP_PACKET_PACK_FAIL"
| extern

Referenced by pkt4_send().

## ◆ BOOTP_PACKET_UNPACK_FAILED

const isc::log::MessageID BOOTP_PACKET_UNPACK_FAILED = "BOOTP_PACKET_UNPACK_FAILED"
| extern

Referenced by buffer4_receive().

## ◆ BOOTP_UNLOAD

const isc::log::MessageID BOOTP_UNLOAD = "BOOTP_UNLOAD"
| extern

Referenced by unload().